import request from '@/utils/request.js'

// 司机任务列表
export function drivertaskList(params) {
	return request({
		url: '/wf-api/qsy/system/flow/veh/driver/task/list',
		method: 'POST', 
		params
	})
}


// 司机处理任务
export function taskOperate(params) {
	return request({
		url: '/wf-api/qsy/system/flow/veh/driver/task/taskOperate',
		method: 'POST', 
		params
	})
}


// 用车记录
export function vehList(params) {
	return request({
		url: '/wf-api/qsy/system/flow/veh/user/apply/list',
		method: 'POST', 
		params
	})
}


// 费用记录
export function recordlist(params) {
	return request({
		url: '/wf-api/qsy/system/flow/cost/record/list',
		method: 'POST', 
		params
	})
}


// 费用记录撤销
export function recordtaskOperate(params) {
	return request({
		url: '/wf-api/workflow/task/taskOperatePost',
		method: 'post', 
		params
	})
}

// 评价
export function evaluate(params) {
	return request({
		url: '/wf-api/qsy/system/flow/veh/evaluate',
		method: 'POST', 
		params
	})
}


// 移动端-车辆维修记录（我的或全部）
export function repairRecordList(params) {
	return request({
		url: '/wf-api/qsy/system/flow/repair/my/record/list',
		method: 'POST', 
		params
	})
}

// 移动端-车辆保养记录（我的或全部）
export function maintenanceRecordList(params) {
	return request({
		url: '/wf-api/qsy/system/flow/maintenance/my/record/list',
		method: 'POST', 
		params
	})
}

// 工作流消息数据
export function taskCount(params) {
	return request({
		url: '/wf-api/workflow/task/count',
		method: 'GET', 
		params
	})
}